## ros-melodic-pr2-run-stop-auto-restart 1.6.31

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_run_stop_auto_restart)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS 
   roscpp 
   pr2_msgs 
   pr2_power_board 
   std_srvs)

include_directories(${catkin_INCLUDE_DIRS})

catkin_package()

add_executable(run_stop_auto_restart src/run_stop_auto_restart.cpp)
target_link_libraries(run_stop_auto_restart ${catkin_LIBRARIES})
add_dependencies(run_stop_auto_restart ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})

install(TARGETS run_stop_auto_restart
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-melodic-pr2-run-stop-auto-restart (1.6.31-1stretch) stretch; urgency=high

  * fixed CMake errors
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 13 Apr 2020 15:00:00 -0000

ros-melodic-pr2-run-stop-auto-restart (1.6.30-1stretch) stretch; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 15:00:00 -0000

ros-melodic-pr2-run-stop-auto-restart (1.6.29-1stretch) stretch; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 15:00:00 -0000

ros-melodic-pr2-run-stop-auto-restart (1.6.28-1stretch) stretch; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 15:00:00 -0000

ros-melodic-pr2-run-stop-auto-restart (1.6.27-1stretch) stretch; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 19 Apr 2018 15:00:00 -0000

ros-melodic-pr2-run-stop-auto-restart (1.6.26-1stretch) stretch; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 18 Mar 2018 15:00:00 -0000

ros-melodic-pr2-run-stop-auto-restart (1.6.25-1stretch) stretch; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 18 Mar 2018 15:00:00 -0000

ros-melodic-pr2-run-stop-auto-restart (1.6.7-1stretch) stretch; urgency=high

  * Compile pr2_run_stop_auto_restart after generating pr2_msgs c++ codes
  * Contributors: Ryohei Ueda

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 10 Feb 2015 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-run-stop-auto-restart
Section: misc
Priority: optional
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-pr2-msgs, ros-melodic-pr2-power-board, ros-melodic-roscpp, ros-melodic-std-srvs
Homepage: http://ros.org/wiki/pr2_run_stop_auto_restart
Standards-Version: 3.9.2

Package: ros-melodic-pr2-run-stop-auto-restart
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-pr2-msgs, ros-melodic-pr2-power-board, ros-melodic-roscpp, ros-melodic-std-srvs
Description: This package provides a node that monitors the state of the run stops of the pr2_robot.
 When the state of the run stop changes from off to on, this node will automatically enable the power to the motors, and reset the motors. This allows you to use the run stop as a 'pause' button. By using the run stop as a tool to power up the robot, the run stop is also in reach of the user once the robot starts moving.
